X2Go Bug report logs - #124
x2gobroker-authservice cannot be uninstalled, bug in init script

version graph

Package: x2gobroker; Maintainer for x2gobroker is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2gobroker is src:x2gobroker.

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Wed, 27 Feb 2013 10:48:02 UTC

Severity: grave

Tags: pending

Found in version 0.0.0.3

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#124; Package x2gobroker. (Wed, 27 Feb 2013 10:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 27 Feb 2013 10:48:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.x2go.org
Subject: x2gobroker-authservice cannot be uninstalled, bug in init script
Date: Wed, 27 Feb 2013 11:46:19 +0100
[Message part 1 (text/plain, inline)]
Package: x2gobroker
Version: 0.0.0.3
Severity: grave

forwarding to X2Go BTS...

----- Weitergeleitete Nachricht von abo@dsl.dk -----
     Datum: Wed, 27 Feb 2013 10:43:24 +0100
       Von: Anders Bruun Olsen <abo@dsl.dk>
Antwort an: x2go-dev@lists.berlios.de
   Betreff: Re: [X2Go-Dev] X2Go Session Broker development release  
0.0.0.3 -> happy testing
        An: x2go-dev@lists.berlios.de

On a freshly installed Ubuntu 12.04:

abo@x2go-broker:~$ sudo aptitude install x2gobroker-daemon
The following NEW packages will be installed:
  libpq5{a} python-cheetah{a} python-egenix-mxdatetime{a}
python-egenix-mxtools{a} python-flup{a} python-netaddr{a} python-pampy{a}
python-psycopg2{a} python-setproctitle{a} python-webpy{a}
  python-x2gobroker{a} x2gobroker{a} x2gobroker-authservice{a}
x2gobroker-daemon
0 packages upgraded, 14 newly installed, 0 to remove and 0 not upgraded.
Need to get 2.045 kB of archives. After unpacking 9.460 kB will be used.
Do you want to continue? [Y/n/?]
Get: 1 http://dk.archive.ubuntu.com/ubuntu/ precise-updates/main libpq5
amd64 9.1.8-0ubuntu12.04 [97,5 kB]
Get: 2 http://dk.archive.ubuntu.com/ubuntu/ precise/main python-cheetah
amd64 2.4.4-2ubuntu3 [174 kB]
Get: 3 http://dk.archive.ubuntu.com/ubuntu/ precise/main
python-egenix-mxtools amd64 3.2.1-1ubuntu1 [89,1 kB]
Get: 4 http://dk.archive.ubuntu.com/ubuntu/ precise/main
python-egenix-mxdatetime amd64 3.2.1-1ubuntu1 [79,3 kB]
Get: 5 http://ppa.launchpad.net/x2go/ppa/ubuntu/ precise/main python-pampy
all 0.1.4-0~2~precise1 [5.038 B]
Get: 6 http://dk.archive.ubuntu.com/ubuntu/ precise/universe python-flup
all 1.0.2-1 [48,4 kB]
Get: 7 http://ppa.launchpad.net/x2go/ppa/ubuntu/ precise/main python-webpy
all 1:0.37+20120626-0~2+build2~precise1 [96,1 kB]
Get: 8 http://dk.archive.ubuntu.com/ubuntu/ precise/main python-netaddr all
0.7.5-4build2 [1.181 kB]
Get: 9 http://dk.archive.ubuntu.com/ubuntu/ precise/main python-psycopg2
amd64 2.4.5-1 [153 kB]
Get: 10 http://dk.archive.ubuntu.com/ubuntu/ precise/universe
python-setproctitle amd64 1.0.1-1ubuntu1 [9.486 B]
Get: 11 http://ppa.launchpad.net/x2go/ppa/ubuntu/ precise/main
python-x2gobroker all 0.0.0.4-0~222~precise1 [50,3 kB]
Get: 12 http://ppa.launchpad.net/x2go/ppa/ubuntu/ precise/main x2gobroker
all 0.0.0.4-0~222~precise1 [21,7 kB]
Get: 13 http://ppa.launchpad.net/x2go/ppa/ubuntu/ precise/main
x2gobroker-authservice all 0.0.0.4-0~222~precise1 [20,4 kB]
Get: 14 http://ppa.launchpad.net/x2go/ppa/ubuntu/ precise/main
x2gobroker-daemon all 0.0.0.4-0~222~precise1 [19,0 kB]
Fetched 2.045 kB in 0s (6.529 kB/s)
Selecting previously unselected package libpq5.
(Reading database ... 49411 files and directories currently installed.)
Unpacking libpq5 (from .../libpq5_9.1.8-0ubuntu12.04_amd64.deb) ...
Selecting previously unselected package python-cheetah.
Unpacking python-cheetah (from .../python-cheetah_2.4.4-2ubuntu3_amd64.deb)
...
Selecting previously unselected package python-egenix-mxtools.
Unpacking python-egenix-mxtools (from
.../python-egenix-mxtools_3.2.1-1ubuntu1_amd64.deb) ...
Selecting previously unselected package python-egenix-mxdatetime.
Unpacking python-egenix-mxdatetime (from
.../python-egenix-mxdatetime_3.2.1-1ubuntu1_amd64.deb) ...
Selecting previously unselected package python-flup.
Unpacking python-flup (from .../python-flup_1.0.2-1_all.deb) ...
Selecting previously unselected package python-netaddr.
Unpacking python-netaddr (from .../python-netaddr_0.7.5-4build2_all.deb) ...
Selecting previously unselected package python-pampy.
Unpacking python-pampy (from .../python-pampy_0.1.4-0~2~precise1_all.deb)
...
Selecting previously unselected package python-psycopg2.
Unpacking python-psycopg2 (from .../python-psycopg2_2.4.5-1_amd64.deb) ...
Selecting previously unselected package python-webpy.
Unpacking python-webpy (from
.../python-webpy_1%3a0.37+20120626-0~2+build2~precise1_all.deb) ...
Selecting previously unselected package python-x2gobroker.
Unpacking python-x2gobroker (from
.../python-x2gobroker_0.0.0.4-0~222~precise1_all.deb) ...
Selecting previously unselected package python-setproctitle.
Unpacking python-setproctitle (from
.../python-setproctitle_1.0.1-1ubuntu1_amd64.deb) ...
Selecting previously unselected package x2gobroker.
Unpacking x2gobroker (from .../x2gobroker_0.0.0.4-0~222~precise1_all.deb)
...
Selecting previously unselected package x2gobroker-authservice.
Unpacking x2gobroker-authservice (from
.../x2gobroker-authservice_0.0.0.4-0~222~precise1_all.deb) ...
Selecting previously unselected package x2gobroker-daemon.
Unpacking x2gobroker-daemon (from
.../x2gobroker-daemon_0.0.0.4-0~222~precise1_all.deb) ...
Processing triggers for man-db ...
Processing triggers for ureadahead ...
ureadahead will be reprofiled on next reboot
Setting up libpq5 (9.1.8-0ubuntu12.04) ...
Setting up python-cheetah (2.4.4-2ubuntu3) ...
Setting up python-egenix-mxtools (3.2.1-1ubuntu1) ...
Setting up python-egenix-mxdatetime (3.2.1-1ubuntu1) ...
Setting up python-flup (1.0.2-1) ...
Setting up python-netaddr (0.7.5-4build2) ...
Setting up python-pampy (0.1.4-0~2~precise1) ...
Setting up python-psycopg2 (2.4.5-1) ...
Setting up python-webpy (1:0.37+20120626-0~2+build2~precise1) ...
Setting up python-x2gobroker (0.0.0.4-0~222~precise1) ...
Setting up python-setproctitle (1.0.1-1ubuntu1) ...
Setting up x2gobroker (0.0.0.4-0~222~precise1) ...
Setting up x2gobroker-authservice (0.0.0.4-0~222~precise1) ...
chown: invalid user: `nogroup:x2gobroker'
invoke-rc.d: initscript x2gobroker-authservice, action "start" failed.
dpkg: error processing x2gobroker-authservice (--configure):
 subprocess installed post-installation script returned error exit status 1
Setting up x2gobroker-daemon (0.0.0.4-0~222~precise1) ...
Creating x2gobroker group.
Adding group `x2gobroker' (GID 113) ...
Done.
Creating x2gobroker user.
Adding system user `x2gobroker' (UID 106) ...
Adding new user `x2gobroker' (UID 106) with group `x2gobroker' ...
Creating home directory `/var/lib/x2go' ...
 * Starting X2Go Session Broker standalone daemon x2gobroker

                                               [ OK ]
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Processing triggers for python-support ...
Errors were encountered while processing:
 x2gobroker-authservice
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install.  Trying to recover:
Setting up x2gobroker-authservice (0.0.0.4-0~222~precise1) ...
 * Starting X2Go Broker Authentication Service x2gobroker-authservice

                                              [ OK ]

I have tracked down the problem to line 41 in the source:
debian/x2gobroker-authservice.init:

 40 if ! getent group $X2GOBROKER_DAEMON_GROUP 1>/dev/null 2>/dev/null; then
 41         X2GOBROKER_DAEMON_USER=nogroup
 42 fi

It should set X2GOBROKER_DAEMON_GROUP, not X2GOBROKER_DAEMON_USER.



2013/2/23 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

> Hi Jan,
>
>
> On Sa 23 Feb 2013 13:08:48 CET Jan Engelhardt wrote:
>
>
>> On Thursday 2013-02-21 22:33, Mike Gabriel wrote:
>>
>>>
>>> I have today released another development release of the generic X2Go
>>> Session
>>> Broker.
>>>
>>
>> Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.vQN91z
>> + umask 022
>> + cd /home/abuild/rpmbuild/BUILD
>> + /usr/bin/rm -rf /home/abuild/rpmbuild/**BUILDROOT/x2gobroker-0.0.0.3-**
>> 0.x86_64
>> ++ dirname /home/abuild/rpmbuild/**BUILDROOT/x2gobroker-0.0.0.3-**
>> 0.x86_64
>> + /usr/bin/mkdir -p /home/abuild/rpmbuild/**BUILDROOT
>> + /usr/bin/mkdir /home/abuild/rpmbuild/**BUILDROOT/x2gobroker-0.0.0.3-**
>> 0.x86_64
>> + cd x2gobroker-0.0.0.3
>> + make -j10
>> rm -f lib/x2gobroker-agent
>> make -f Makefile.perl realclean
>> cc -fPIE -pie -o lib/x2gobroker-agent src/x2gobroker-agent.c
>> make[1]: Entering directory `/home/abuild/rpmbuild/BUILD/**
>> x2gobroker-0.0.0.3'
>> make[1]: Makefile.perl: No such file or directory
>> make[1]: warning: jobserver unavailable: using -j1.  Add `+' to parent
>> make rule.
>> make[1]: *** No rule to make target `Makefile.perl'.  Stop.
>> make[1]: Leaving directory `/home/abuild/rpmbuild/BUILD/**
>> x2gobroker-0.0.0.3'
>> make: [clean_indep] Error 2 (ignored)
>> + exit 0
>> Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.tYyr9H
>> + umask 022
>> + cd /home/abuild/rpmbuild/BUILD
>> + cd x2gobroker-0.0.0.3
>> + make install DESTDIR=/home/abuild/rpmbuild/**
>> BUILDROOT/x2gobroker-0.0.0.3-**0.x86_64
>> make -f Makefile.perl install
>> make[1]: Entering directory `/home/abuild/rpmbuild/BUILD/**
>> x2gobroker-0.0.0.3'
>> make[1]: Makefile.perl: No such file or directory
>> make[1]: *** No rule to make target `Makefile.perl'.  Stop.
>> make[1]: Leaving directory `/home/abuild/rpmbuild/BUILD/**
>> x2gobroker-0.0.0.3'
>> make: *** [install] Error 2
>> error: Bad exit status from /var/tmp/rpm-tmp.tYyr9H (%install)
>>
>> RPM build errors:
>>     Bad exit status from /var/tmp/rpm-tmp.tYyr9H (%install)
>> ______________________________**_________________
>> X2Go-Dev mailing list
>> X2Go-Dev@lists.berlios.de
>> https://lists.berlios.de/**mailman/listinfo/x2go-dev<https://lists.berlios.de/mailman/listinfo/x2go-dev>
>>
>
> The Makefile is totally incomplete. Before packaging it for other (more
> Makefile dependend) distros (than distros with the .deb format), we have to
> write the Makefile.
>
> I will do this later, however, if you provide a patch, I will be very
> happy.
>
>
> Mike
>
>
> --
>
> DAS-NETZWERKTEAM
> mike gabriel, rothenstein 5, 24214 neudorf-bornstein
> fon: +49 (1520) 1976 148
>
> GnuPG Key ID 0x25771B31
> mail: mike.gabriel@das-netzwerkteam.**de<mike.gabriel@das-netzwerkteam.de>,
> http://das-netzwerkteam.de
>
> freeBusy:
> https://mail.das-netzwerkteam.**de/freebusy/m.gabriel%40das-**
> netzwerkteam.de.xfb<https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb>
>
> _______________________________________________
> X2Go-Dev mailing list
> X2Go-Dev@lists.berlios.de
> https://lists.berlios.de/mailman/listinfo/x2go-dev
>



--
Anders Bruun Olsen
It-ansvarlig
Det Danske Sprog- og Litteraturselskab
(Society for Danish Language and Literature)


----- Ende der weitergeleiteten Nachricht -----


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#124; Package x2gobroker. (Wed, 27 Feb 2013 11:03:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 27 Feb 2013 11:03:02 GMT) Full text and rfc822 format available.

Message #10 received at 124@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 124@bugs.x2go.org
Cc: abo@dsl.dk, control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#124: x2gobroker-authservice cannot be uninstalled, bug in init script
Date: Wed, 27 Feb 2013 12:02:21 +0100
[Message part 1 (text/plain, inline)]
tag #124 pending
thanks

HI Anders,

> ----- Weitergeleitete Nachricht von abo@dsl.dk -----
>      Datum: Wed, 27 Feb 2013 10:43:24 +0100
>        Von: Anders Bruun Olsen <abo@dsl.dk>
> Antwort an: x2go-dev@lists.berlios.de
>    Betreff: Re: [X2Go-Dev] X2Go Session Broker development release   
> 0.0.0.3 -> happy testing
>         An: x2go-dev@lists.berlios.de
>
> I have tracked down the problem to line 41 in the source:
> debian/x2gobroker-authservice.init:
>
>  40 if ! getent group $X2GOBROKER_DAEMON_GROUP 1>/dev/null 2>/dev/null; then
>  41         X2GOBROKER_DAEMON_USER=nogroup
>  42 fi
>
> It should set X2GOBROKER_DAEMON_GROUP, not X2GOBROKER_DAEMON_USER.

Fix in X2Go Git:
http://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=7381ed8130b2b83fe2efc16466b2107ec199014a

Thanks for spotting!

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 27 Feb 2013 11:03:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#124; Package x2gobroker. (Wed, 27 Feb 2013 12:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 27 Feb 2013 12:03:02 GMT) Full text and rfc822 format available.

Message #17 received at 124@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 124@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Issue solved in X2Go Session Broker 0.0.0.4
Date: Wed, 27 Feb 2013 13:02:17 +0100
[Message part 1 (text/plain, inline)]
close #124
thanks

This issue has been solved in X2Go Session Broker 0.0.0.4.

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 27 Feb 2013 12:03:02 GMT) Full text and rfc822 format available.

Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Wed, 27 Feb 2013 12:03:02 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Thu, 28 Mar 2013 06:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Jul 23 03:11:26 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.